[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[Linux-cluster] [PATCH] initscript: Do nothing if cman_tool isn't there



Hi,
attached patch makes sure the init script doesn't error out if the cman
package has been removed but not purged by Debian's dpkg - conf files
like init scripts are still around then. Patch is against 3.0.6.
Cheers,
 -- Guido

---
 cman/init.d/cman.in |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/cman/init.d/cman.in b/cman/init.d/cman.in
index f090064..0801105 100644
--- a/cman/init.d/cman.in
+++ b/cman/init.d/cman.in
@@ -19,6 +19,8 @@
 # set secure PATH
 PATH="/bin:/usr/bin:/sbin:/usr/sbin:@SBINDIR@"
 
+test -x @SBINDIR@/cman_tool || exit 0
+
 local_chkconfig()
 {
 	ls /etc/rc${2}.d/S*${3} > /dev/null 2>/dev/null
-- 


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]